Subject: linux booting

From: "leeyang" <[email-masked]>
Date: Fri, 23 Aug 2002 17:11:08 +0800

hi,all!
These days I am trying to upgrade kernel from
2.2.14 to 2.4.20-pre2 in my 860T custom board.

The old 2.2.14 kernel and ppcboot do work,and
I add some custom board file to the 2.4.20-pre2
soure tree from linuxppc_2_4_devel,and comile
it successfully.(no any warn or error in my modify)

When I "bootm 0x10000"in ppcboot,it runs to
"Transferring control to linux kernel",then hangs
there,and I see nothing in the console.:(

In the PPCBoot guide(FAQ section),it mentioned
2 possible causes,wrong bdinfo and clocks_in_mhz
I do check it and feel nothing wrong,however
nothing yet.

I have a BDI2000,but I think I should debug the bootm
part of ppcboot,however someone says it is quite
difficult to do so( at least for me).
so I am seeking errors in blind.

hope some light!

leeyang

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/